Skip to content
EN

通用2.0Pro-指令编辑(SeedEdit)

方法: POST路径: /volcv/v1

https://www.volcengine.com/docs/6791/1279296详情请看官方对接文档

请求参数

Query 参数

text
Action
string
必需
示例:
CVProcess
Version
string
必需
示例:
2022-08-31

Header 参数

text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
object
示例
{
"req_key"
:
"byteedit_v2.0"
,
// "binary_data_base64": [],
"image_urls"
:
[
"https://xxx"
]
,
"prompt"
:
"修改成红色衣服"
,
"negative_prompt"
:
""
,
"seed"
:
-1
,
"scale"
:
0.5
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"logo_text_content"
:
"这里是明水印内容"
}
}

请求示例代码

Shell

bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "req_key": "byteedit_v2.0",
    // "binary_data_base64": [],
    "image_urls": [
        "https://xxx"
    ],
    "prompt": "修改成红色衣服",
    "negative_prompt": "",
    "seed": -1,
    "scale": 0.5,
    "return_url": true,
    "logo_info": {
        "add_logo": false,
        "position": 0,
        "language": 0,
        "logo_text_content": "这里是明水印内容"
    }
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{
    "code": 10000,
    "data": {
        "algorithm_base_resp": {
            "status_code": 0,
            "status_message": "Success"
        },
        "binary_data_base64": [],
        "image_urls": [
            "https://xxxx"
        ],
        "infer_ctx": {
            "algorithm_key": "high_aes_scheduler_seededit_v1.6",
            "app_key": "2100xxx",
            "created_at": "2025-04-24T17:31:15.660547898+08:00",
            "generate_id": "",
            "log_id": "202504241731056AE80EBE54A94EAE89AC",
            "params": {
                "app_id": "",
                "aspect_ratio": "",
                "common_params": "",
                "ddim_steps": 0,
                "edit_session_id": "",
                "fps": 0,
                "frames": 0,
                "group_name": "",
                "height": 1024,
                "input_image_url": "",
                "is_only_sr": false,
                "is_pe": false,
                "llm_result": "",
                "media_source": "",
                "n_samples": 0,
                "negative_prompt": "",
                "ori_prompt": "修改成红色毛发",
                "origin_request_id": "",
                "output_height": 1024,
                "output_width": 1024,
                "pe_result": "",
                "predict_tags_result": "",
                "rephraser_result": "",
                "req_key": "seededit_v16",
                "rescale": 0,
                "resolution": "",
                "scale": 0.5,
                "seed": 0,
                "shift": 0,
                "sr_img2img_fix_steps": 0,
                "sr_scale": 0,
                "sr_strength": 0.3,
                "sr_upscaler": "",
                "steps": 0,
                "strength": 0.3,
                "trace_id": "",
                "translate_negative_prompt": "",
                "translate_prompt": "",
                "use_pre_llm": false,
                "use_prompt_aug": false,
                "use_sr": true,
                "version_id": "",
                "video_url": "",
                "vlm_edit": "Instruction: 将鬃毛和面部毛发改为红色",
                "vlm_input": "一只毛发浓密的雄狮,有着棕黄色的鬃毛和面部毛发",
                "vlm_output": "一只毛发浓密的雄狮,有着红色的鬃毛和面部毛发",
                "width": 1024
            },
            "request_id": "a04f81492fc0e8ecc59957137cc02e2c27067344fd6f02c6c0b019ea8c759020",
            "session_id": "",
            "time_stamp": "1745487075"
        },
        "llm_result": "",
        "pe_result": "",
        "predict_tags_result": "",
        "rephraser_result": "",
        "request_id": "a04f81492fc0e8ecc59957137cc02e2c27067344fd6f02c6c0b019ea8c759020",
        "vlm_result": "一只毛发浓密的雄狮,有着红色的鬃毛和面部毛发"
    },
    "message": "Success",
    "request_id": "202504241731056AE80EBE54A94EAE89AC",
    "status": 10000,
    "time_elapsed": "10.618578556s"
}